Access

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Access
Elementary

WARNING! this API is not finalized. More...

## Functions
Evas_Object * | elm_access_object_register (Evas_Object *obj, Evas_Object *parent)
| Register evas object as an accessible object.
void | elm_access_object_unregister (Evas_Object *obj)
| Unregister accessible object.
Evas_Object * | elm_access_object_get (const Evas_Object *obj)
| Get an accessible object of the evas object.
void | elm_access_info_set (Evas_Object *obj, int type, const char *text)
| Set text to give information for specific type.
char * | elm_access_info_get (const Evas_Object *obj, int type)
| Set text to give information for specific type.
void | elm_access_info_cb_set (Evas_Object *obj, int type, Elm_Access_Info_Cb func, const void *data)
| Set content callback to give information for specific type.
void | elm_access_activate_cb_set (Evas_Object *obj, Elm_Access_Activate_Cb func, void *data)
| Set activate callback to activate highlight object.
void | elm_access_say (const char *text)
| Read out text information directly.
void | elm_access_highlight_set (Evas_Object *obj)
| Give the highlight to the object directly.
Eina_Bool | elm_access_action (Evas_Object *obj, const Elm_Access_Action_Type type, Elm_Access_Action_Info *action_info)
| Do the accessibility action base on given object.
void | elm_access_action_cb_set (Evas_Object *obj, const Elm_Access_Action_Type type, const Elm_Access_Action_Cb cb, const void *data)
| Set a callback function to a given accessibility action type.
void | elm_access_highlight_next_set (Evas_Object *obj, Elm_Highlight_Direction dir, Evas_Object *next)
| Set the next access object for highlight.
Eina_Bool | elm_config_access_get (void)
| Get access mode.
void | elm_config_access_set (Eina_Bool is_access)
| Set access mode.

## Detailed Description

WARNING! this API is not finalized.

It is unstable. - do not use it if you want no breaks in future.

TODO: description

## Function Documentation

## ◆ elm_access_object_register()

Evas_Object * elm_access_object_register | ( | Evas_Object * | obj,
|  | Evas_Object * | parent
| ) |  |

Register evas object as an accessible object.

Since
  1.8

Parameters

  obj | The evas object to register as an accessible object.
  parent | The elementary object which is used for creating accessible object.

## ◆ elm_access_object_unregister()

void elm_access_object_unregister | ( | Evas_Object * | obj | ) |

Unregister accessible object.

Since
  1.8

Parameters

  obj | The Evas object to unregister accessible object.

## ◆ elm_access_object_get()

Evas_Object * elm_access_object_get | ( | const Evas_Object * | obj | ) |

Get an accessible object of the evas object.

Since
  1.8

Parameters

  obj | The evas object.

Returns
  Accessible object of the evas object or NULL for any error

## ◆ elm_access_info_set()

void elm_access_info_set | ( | Evas_Object * | obj,
|  | int | type,
|  | const char * | text
| ) |  |

Set text to give information for specific type.

Since
  1.8

Parameters

  obj | Accessible object.
  type | The type of content that will be read
  text | The text information that will be read

See also
  elm_access_info_cb_set

## ◆ elm_access_info_get()

char * elm_access_info_get | ( | const Evas_Object * | obj,
|  | int | type
| ) |  |

Set text to give information for specific type.

Since
  1.8

Parameters

  obj | Accessible object.
  type | The type of content that will be read

See also
  elm_access_info_cb_set

## ◆ elm_access_info_cb_set()

void elm_access_info_cb_set | ( | Evas_Object * | obj,
|  | int | type,
|  | Elm_Access_Info_Cb | func,
|  | const void * | data
| ) |  |

Set content callback to give information for specific type.

Since
  1.8

Parameters

  obj | Accessible object.
  type | The type of content that will be read
  func | The function to be called when the content is read
  data | The data pointer to be passed to `func`

The type would be one of ELM_ACCESS_TYPE, ELM_ACCESS_INFO, ELM_ACCESS_STATE, ELM_ACCESS_CONTEXT_INFO.

In the case of button widget, the content of ELM_ACCESS_TYPE would be "button". The label of button such as "ok", "cancel" is for ELM_ACCESS_INFO. If the button is disabled, content of ELM_ACCESS_STATE would be "disabled". And if there is contextual information, use ELM_ACCESS_CONTEXT_INFO.

## ◆ elm_access_activate_cb_set()

void elm_access_activate_cb_set | ( | Evas_Object * | obj,
|  | Elm_Access_Activate_Cb | func,
|  | void * | data
| ) |  |

Set activate callback to activate highlight object.

Since
  1.8

Parameters

  obj | Accessible object.
  func | The function to be called when the activate gesture is detected
  data | The data pointer to be passed to `func`

## ◆ elm_access_say()

void elm_access_say | ( | const char * | text | ) |

Read out text information directly.

Since
  1.8

Parameters

  text | The text information that will be read

This function will not free the `text` internally.

## ◆ elm_access_highlight_set()

void elm_access_highlight_set | ( | Evas_Object * | obj | ) |

Give the highlight to the object directly.

Since
  1.8

Parameters

  obj | The object that will have the highlight and its information be read.

The object should be an elementary object or an access object.

See also
  elm_access_object_get

## ◆ elm_access_action()

Eina_Bool elm_access_action | ( | Evas_Object * | obj,
|  | const Elm_Access_Action_Type | type,
|  | Elm_Access_Action_Info * | action_info
| ) |  |

Do the accessibility action base on given object.

Since
  1.8

Parameters

  obj | The object that could be an any object. it would be useful to use a container widget.
  type | The type of accessibility action.
  action_info | The action information of action `type` to give more specific information.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise

The return value would be useful, when the `type` is ELM_ACCESS_ACTION_HIGHLIGHT_NEXT or ELM_ACCESS_ACTION_HIGHLIGHT_PREV. If there is no way to give a highlight, `EINA_FALSE` will be returned.

References EINA_FALSE, EINA_TRUE, ELM_FOCUS_NEXT, ELM_FOCUS_PREVIOUS, and evas_object_evas_get().

## ◆ elm_access_action_cb_set()

void elm_access_action_cb_set | ( | Evas_Object * | obj,
|  | const Elm_Access_Action_Type | type,
|  | const Elm_Access_Action_Cb | cb,
|  | const void * | data
| ) |  |

Set a callback function to a given accessibility action type.

Since
  1.8

Parameters

  obj | The object to attach a callback to
  type | The type of accessibility action.
  cb | The callback function to be called when the accessibility action is triggered.
  data | The data pointer to be passed to `cb`

References evas_object_data_set().

## ◆ elm_access_highlight_next_set()

void elm_access_highlight_next_set | ( | Evas_Object * | obj,
|  | Elm_Highlight_Direction | dir,
|  | Evas_Object * | next
| ) |  |

Set the next access object for highlight.

Since
  1.8

Parameters

  obj | The object is previous access object of next for highlight.
  dir | Access direction same as Focus direction
  next | The object is next access object of obj for highlight.

Currently focus chain is used for access highlight chain. Use this API to customize highlight chain. If highlight chain is already established, you can change one object's highlight chain and do not break the other object's highlight chain.

References EINA_SAFETY_ON_FALSE_RETURN.

## ◆ elm_config_access_get()

Eina_Bool elm_config_access_get | ( | void |  | ) |

Get access mode.

Returns
  the access mode bouncing state

Since
  1.7

See also
  elm_config_access_set()

## ◆ elm_config_access_set()

void elm_config_access_set | ( | Eina_Bool | is_access | ) |

Set access mode.

Parameters

  is_access | If `EINA_TRUE`, enables access mode

Note
  Elementary objects may have information (e.g. label on the elm_button) to be read. This information is read by access module when an object receives EVAS_CALLBACK_MOUSE_IN event

Since
  1.7

See also
  elm_config_access_get()

References EINA_TRUE.